
Foreman - Refactor #9142

Unify validate_regexp and validate_list for lookup value/key

01/28/2015 07:15 AM - Daniel Lobato Garcia

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Parameters   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

There is some 100% duplicated code in lookup value/key that should be DRYed as soon as possible, perhaps take out such logic to

a concern about validating ERB.

https://github.com/theforeman/foreman/pull/2080/files#r23497738 <- take into account if you're fixing this.

Related issues:

Related to Foreman - Bug #8052: Smart class parameters with ERB snippets are ... Closed 10/23/2014

Is duplicate of Foreman - Refactor #10232: move validations and casting out o... Closed 04/22/2015

History

#1 - 01/28/2015 07:30 AM - Dominic Cleal

- Category set to Parameters

#2 - 01/28/2015 07:31 AM - Dominic Cleal

- Related to Bug #8052: Smart class parameters with ERB snippets are broken for other that String types added

#3 - 05/26/2015 12:08 PM - Dominic Cleal

- Is duplicate of Refactor #10232: move validations and casting out of lookup keys and values into single-responsibility classes added

#4 - 05/26/2015 12:09 PM - Dominic Cleal

- Status changed from New to Duplicate

#10232 seems to have done this.
